Bug 74144 - k3b crashes when adding multiple mp3s to an audio project.
Summary: k3b crashes when adding multiple mp3s to an audio project.
Status: RESOLVED FIXED
Alias: None
Product: k3b
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-04 17:03 UTC by klaehn
Modified: 2004-06-20 11:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
BACKTRACE (2.19 KB, text/plain)
2004-05-09 13:31 UTC, Ferdinand Gassauer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description klaehn 2004-02-04 17:03:53 UTC
Version:            (using KDE KDE 3.2.0)
Installed from:    Debian testing/unstable Packages

When I add multiple mp3 files to an audio project by selecting all files and then selecting add to project, k3b sometimes crashes. I think this happens only when the files to be added contain some files k3b can't handle (see bug 74142).
Comment 1 Ferdinand Gassauer 2004-05-09 13:31:26 UTC
Created attachment 5920 [details]
BACKTRACE

It does not happen if I all the files at once, but not if I add them in smaller
chunks.
Comment 2 Martin Zdila 2004-06-20 10:58:25 UTC
I have the same problem with KDE 3.2.2 and k3b 0.11.9-2. I've adding OGG files.

(no debugging symbols found)...Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...[Thread debugging using libthread_db enabled]
[New Thread 1109510912 (LWP 2198)]
(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...0x417fa431 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#0  0x417fa431 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#1  0x40f7be20 in KCrash::defaultCrashHandler () from /usr/lib/libkdecore.so.4
#2  <signal handler called>
#3  0x41424b41 in QListViewItem::sortChildItems () from /usr/lib/libqt-mt.so.3
#4  0x4142523d in QListViewItem::enforceSortOrder ()
   from /usr/lib/libqt-mt.so.3
#5  0x414307e3 in QListView::firstChild () from /usr/lib/libqt-mt.so.3
#6  0x414361f8 in QListViewItemIterator::QListViewItemIterator ()
   from /usr/lib/libqt-mt.so.3
#7  0x40ceca05 in KListView::selectedItems () from /usr/lib/libkdeui.so.4
#8  0x4085a7de in K3bAudioListView::insertItem ()
   from /usr/lib/libk3bproject.so.2
#9  0x414228d2 in QListViewItem::QListViewItem () from /usr/lib/libqt-mt.so.3
#10 0x40cefa60 in KListViewItem::KListViewItem () from /usr/lib/libkdeui.so.4
#11 0x406fd910 in K3bListViewItem::K3bListViewItem ()
   from /usr/lib/libk3btools.so.2
#12 0x40858c60 in K3bAudioListViewItem::K3bAudioListViewItem ()
   from /usr/lib/libk3bproject.so.2
#13 0x4085b0db in K3bAudioListView::slotUpdateItems ()
   from /usr/lib/libk3bproject.so.2
#14 0x4085b2ef in K3bAudioListView::qt_invoke ()
   from /usr/lib/libk3bproject.so.2
#15 0x4134cd16 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#16 0x4134cbd4 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#17 0x407869ab in K3bDoc::changed () from /usr/lib/libk3bproject.so.2
#18 0x40786bb8 in K3bDoc::qt_emit () from /usr/lib/libk3bproject.so.2
#19 0x40857de4 in K3bAudioDoc::qt_emit () from /usr/lib/libk3bproject.so.2
#20 0x4134cdd1 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#21 0x4134cbd4 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#22 0x4085762b in K3bAudioDoc::newTracks () from /usr/lib/libk3bproject.so.2
#23 0x4085352c in K3bAudioDoc::addTrack () from /usr/lib/libk3bproject.so.2
#24 0x40852bc3 in K3bAudioDoc::slotWorkUrlQueue ()
   from /usr/lib/libk3bproject.so.2
#25 0x40857d52 in K3bAudioDoc::qt_invoke () from /usr/lib/libk3bproject.so.2
#26 0x4134cd9c in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#27 0x4134cbd4 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#28 0x4166c4bb in QTimer::timeout () from /usr/lib/libqt-mt.so.3
#29 0x4136dd62 in QTimer::event () from /usr/lib/libqt-mt.so.3
#30 0x412f147f in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#31 0x412f0a8b in QApplication::notify () from /usr/lib/libqt-mt.so.3
#32 0x40ef7b29 in KApplication::notify () from /usr/lib/libkdecore.so.4
#33 0x412e0fe5 in QEventLoop::activateTimers () from /usr/lib/libqt-mt.so.3
#34 0x4129cb6d in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#35 0x41304ce8 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#36 0x41304b98 in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#37 0x412f16d1 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#38 0x080a0d2b in QPtrList<K3bPluginFactory>::deleteItem ()
#39 0x41afb7f8 in __libc_start_main () from /lib/tls/libc.so.6
#40 0x41c1debc in ?? () from /lib/tls/libc.so.6
Comment 3 Sebastian Trueg 2004-06-20 11:26:52 UTC
fixed in cvs head.
Comment 4 Sebastian Trueg 2004-06-20 11:27:01 UTC
*** Bug has been marked as fixed ***.